#
# spec file for package rubygem-mysql
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-mysql
Version:        2.9.1
Release:        12.22
%define mod_name mysql
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  libmysqlclient-devel
Provides:       ruby-mysql = %{version}
Obsoletes:      ruby-mysql < %{version}
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/luislavena/mysql-gem
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-mysql-rpmlintrc
Source2:        gem2rpm.yml
Summary:        This is the MySQL API module for Ruby
License:        GPL-2.0+ or Ruby
Group:          Development/Languages/Ruby

%description
This is the MySQL API module for Ruby. It provides the same functions for Ruby
programs that the MySQL C API provides for C programs.
This package is offered as gem for easy installation using RubyGems. It wraps
unmodified tmtm's mysql-ruby extension into a proper gem.
Please note that tmtm (Tomita Mashahiro) has deprecated development of this
extension and only update it for bug fixes.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING History.txt README.txt" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Mon Nov 10 2014 tboerger@suse.com
- Added new ruby macros
* Thu Jul 31 2014 dimstar@opensuse.org
- Rename rpmlintrc to %%{name}-rpmlintrc (and remove wrongly named
  rubygem-mysql.rpmlintrc)
  Follow the packaging guidelines.
* Mon Mar  3 2014 kkaempf@suse.com
- add rpmlintrc
* Thu Feb 13 2014 coolo@suse.com
- use new macros
* Mon Jun  3 2013 coolo@suse.com
- updated to version 2.9.1
  * Bugfixes:
  * Use C89 comment style in source code. #13 [knu]
  * Use ULL2NUM to return `affected_rows`. #11, #12 [cbandy]
* Fri Dec 28 2012 coolo@suse.com
- updated to version 2.9.0
  * Yanked:
  * Changes in requirements render this gem incompatible for some users.
* Wed Nov  7 2012 coolo@suse.com
- updated to version 2.8.2
  * Incompatibility:
  * Requires Ruby 1.8.7 or newer.
  * Enhancements:
  * Detect MySQL version at load time and fail on mismatch [ghazel]
  * Use MySQL Connector/C for Windows binary bindings instead
  * Bug fixes:
  * Use RbConfig since Config is deprecated in Ruby 2.0 [tenderlove]
* Thu Jun 30 2011 mrueckert@suse.de
- add provides/obsolete for the old ruby-mysql package
- cleanup %%build section
  - no more manual deleting of files. let gem_cleanup handle it
  - drop fdupes
- drop norootforbuild
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Tue Dec  1 2009 chris@computersalat.de
- initial pkg 2.8.1
